%% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% %% 
% Generate correlation GDP 1871-2011 for Italy 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear; clc; close all


gdphead_hist     = readtable('Figure3.xlsx', 'Sheet','historicalGDP');

allVars     = 1:width(gdphead_hist);
new_names   = ['region' append('y', string(1871:10:2011)) ];

gdphead_hist    = renamevars(gdphead_hist, allVars, new_names);
gdphead_hist(1,:) = [];
gdphead_hist    = renamevars(gdphead_hist, 'y1941', 'y1938');

region  = gdphead_hist.region;



% % % Scatter plot 1871-2011

gdphead100.y1871 = gdphead_hist.y1871./mean(gdphead_hist.y1871) * 100 ;
gdphead100.y2011 = gdphead_hist.y2011./mean(gdphead_hist.y2011) * 100 ;


xmin = min(gdphead100.y1871)-10;
xmax = max(gdphead100.y1871)+10;

close
figure(100)
scatter18712011 = scatter(gdphead100.y1871(1:12), gdphead100.y2011(1:12), "filled", 'b') ;
hold on
scatter(gdphead100.y1871(13:end), gdphead100.y2011(13:end), "filled", 'r')
hold on
plot( xmin:xmax,  xmin:xmax, 'k')
hold on
plot( xmin:xmax , 100*ones(size(xmin:xmax)), LineStyle="--", Color='k')
hold on
plot( 100*ones(size(xmin:xmax)), xmin:xmax, LineStyle="--", Color='k')
dx = -5;      dy = 4 ;
tt = text(gdphead100.y1871 + dx, gdphead100.y2011 + dy, region)
xlabel('Size of GDP per capita relative to the mean in 1871')
ylabel('Size of GDP per capita relative to the mean in 2011')
xlim([xmin,xmax])
ylim([xmin,xmax])
lgd = legend({'Center-North', 'South & Islands'}, 'Location','southeast', 'Box','on', 'NumColumns',1)
lgd.Position = [0.76 0.1353 0.1 0.0840];
lgd.ItemTokenSize = [10 10] ;
tt(3).Position  = [138  106  0];
tt(7).Position  = [ 120  113 0];
tt(9).Position  = [ 105  110 0];
tt(20).Position = [ 81   77  0 ];
saveas(scatter18712011, 'Figures\scatter18712011', 'png')
