function FF = FindSS2(xVar,PAR,area,sec,Ave_wedge_l_off,Ave_wedge_l_unoff,Ave_wedge_k_off,Ave_wedge_k_unoff, ...
                                           Ave_wedge_x,Ave_wedge_b,Ave_IntProd,Ave_FinProd,Ave_GovPur,Ave_GovTra);

LL=reshape(xVar(1:4),2,2)';
LLtilde=reshape(xVar(5:8),2,2)';
KK=reshape(xVar(9:12),2,2)';
KKtilde=reshape(xVar(13:16),2,2)';
XX=reshape(xVar(17:20),2,2)';
XXtilde=reshape(xVar(21:24),2,2)';
PP=reshape(xVar(25:28),2,2)';
MM=reshape(xVar(29:32),2,2)';
CC=xVar(33:34);
BB=xVar(35:36);
QQ=xVar(37:38);

NNetExp(1)=XX(1,1)+XXtilde(1,1)-MM(1,1);
NNetExp(2)=XX(2,1)+XXtilde(2,1)-MM(2,1);

LL_foc=zeros(length(area),length(sec));
LLtilde_foc=zeros(length(area),length(sec));
KK_foc=zeros(length(area),length(sec));
KKtilde_foc=zeros(length(area),length(sec));
XX_fun=zeros(length(area),length(sec));
XXtilde_fun=zeros(length(area),length(sec));
MM_foc=zeros(length(area),length(sec));
BB_foc=zeros(length(area),1);
YY_fun=zeros(length(area),1);
for aa = 1:length(area)
  for ss = 1:length(sec)
    taux=tauxFun(PAR.taux_const(aa,ss),PAR.taux_slope,XX(aa,ss),XXtilde(aa,ss)); 
    LL_foc(aa,ss) = (1-PAR.theta)*XX(aa,ss)*PP(aa,ss)/(CC(aa)+Ave_GovPur(aa))-(1+Ave_wedge_l_off(aa,ss))*PAR.alpha*LL(aa,ss)/(1-LL(aa,ss)-LLtilde(aa,ss));
    LLtilde_foc(aa,ss) = (1-PAR.theta)*XXtilde(aa,ss)*PP(aa,ss)/(CC(aa)+Ave_GovPur(aa))-(1+Ave_wedge_l_unoff(aa,ss))*PAR.alpha*LLtilde(aa,ss)/(1-LL(aa,ss)-LLtilde(aa,ss));
    KK_foc(aa,ss) = PAR.beta*(1+(1/(1+Ave_wedge_k_off(aa,ss)))*PAR.theta*XX(aa,ss)*PP(aa,ss)/KK(aa,ss)-PAR.delta) - 1;
    KKtilde_foc(aa,ss) = PAR.beta*(1+(1/(1+Ave_wedge_k_unoff(aa,ss)))*PAR.theta*XXtilde(aa,ss)*PP(aa,ss)/KKtilde(aa,ss)-PAR.delta) - 1; 
    XX_fun(aa,ss) = Ave_IntProd(aa,ss)*abs(KK(aa,ss))^PAR.theta*abs(LL(aa,ss))^(1-PAR.theta)-XX(aa,ss);
    XXtilde_fun(aa,ss) = (1-taux)*Ave_IntProd(aa,ss)*abs(KKtilde(aa,ss))^PAR.theta*abs(LLtilde(aa,ss))^(1-PAR.theta)-XXtilde(aa,ss);   
  end 
  taub=taubFun(PAR.taub_const(aa),PAR.taub_slope,PAR.mu(aa),BB(aa)); 
  MM_foc(aa,1) = ProdFun_Der1(MM(aa,1),MM(aa,2),Ave_FinProd(aa),PAR.eta(aa))-PP(aa,1);
  MM_foc(aa,2) = ProdFun_Der2(MM(aa,1),MM(aa,2),Ave_FinProd(aa),PAR.eta(aa))-PP(aa,2);
  BB_foc(aa) = QQ(aa)-PAR.beta*(1-taub);
  YY_fun(aa)=ProdFun(MM(aa,1),MM(aa,2),Ave_FinProd(aa),PAR.eta(aa))-CC(aa)-PAR.delta*(KK(aa,1)+KK(aa,2)+KKtilde(aa,1)+KKtilde(aa,2))-Ave_GovPur(aa)-NNetExp(aa);
end  

FF(1:4)=reshape(LL_foc,4,1);
FF(5:8)=reshape(LLtilde_foc,4,1);
FF(9:12)=reshape(KK_foc,4,1);
FF(13:16)=reshape(KKtilde_foc,4,1);
FF(17:20)=reshape(XX_fun,4,1);
FF(21:24)=reshape(XXtilde_fun,4,1);
FF(25:28)=reshape(MM_foc,4,1);
FF(29:30)=BB_foc;
FF(31:32)=YY_fun;

FF(33) = PAR.mu(1)*(XX(1,1)+XXtilde(1,1))+PAR.mu(2)*(XX(2,1)+XXtilde(2,1)) - PAR.mu(1)*MM(1,1)-PAR.mu(2)*MM(2,1);
FF(34) = XX(1,2)+XXtilde(1,2)- MM(1,2);
FF(35) = XX(2,2)+XXtilde(2,2)- MM(2,2);
FF(36) = PAR.mu(1)*BB(1)+PAR.mu(2)*BB(2);
FF(37) = NNetExp(1)+(1-QQ(1))*BB(1)-Ave_GovTra(1)/PP(1,1);        %Current account is zero in the steady state 
FF(38) = QQ(1)-QQ(2);

%%===============================================================================
% FUNCTIONS
%%===============================================================================

function y = ProdFun(m_T,m_NT,FinProd,eta)
  y = FinProd*abs(m_T)^eta*abs(m_NT)^(1-eta); 
end

function mpr1 = ProdFun_Der1(m_T,m_NT,FinProd,eta)
  mpr1 = eta*FinProd*abs(m_T)^(eta-1)*abs(m_NT)^(1-eta); 
end

function mpr2 = ProdFun_Der2(m_T,m_NT,FinProd,eta)
  mpr2 = (1-eta)*FinProd*abs(m_T)^eta*abs(m_NT)^(-eta); 
end

function taux = tauxFun(taux_const,taux_slope,X,Xtilde)
  taux = taux_const + taux_slope*(Xtilde/(X+Xtilde)); 
end

function taub = taubFun(taub_const,taub_slope,mmu,BB)
  taub = taub_const + taub_slope*mmu*BB; 
end


end






